Bug 847225 - FTBFS: python-genshi fails to build from source
FTBFS: python-genshi fails to build from source
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-genshi (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 03:43 EDT by Jan ONDREJ
Modified: 2016-09-19 22:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-25 21:03:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2012-08-10 03:43:10 EDT
Description of problem:
python-genshi package failed to build in F18 and my package requires it. Please update it's check functions to build properly.

Version-Release number of selected component (if applicable):
python-genshi-0.6-5.fc18

How reproducible:
always

Actual results:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4374336

Expected results:


Additional info:
======================================================================
FAIL: test_sanitize_remove_script_elem (genshi.filters.tests.html.HTMLSanitizerTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Genshi-0.6/genshi/filters/tests/html.py", line 368, in test_sanitize_remove_script_elem
    self.assertRaises(ParseError, HTML, '<SCR\0IPT>alert("foo")</SCR\0IPT>')
AssertionError: ParseError not raised
======================================================================
FAIL: test_sanitize_remove_src_javascript (genshi.filters.tests.html.HTMLSanitizerTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Genshi-0.6/genshi/filters/tests/html.py", line 442, in test_sanitize_remove_src_javascript
    '<IMG SRC=`javascript:alert("RSnake says, \'foo\'")`>')
AssertionError: ParseError not raised
----------------------------------------------------------------------
Comment 1 Fedora End Of Life 2013-04-03 11:12:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Update System 2013-04-09 20:43:16 EDT
python-genshi-0.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-genshi-0.7-1.fc18
Comment 3 Fedora Update System 2013-04-09 20:50:31 EDT
python-genshi-0.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-genshi-0.7-1.fc19
Comment 4 Fedora Update System 2013-04-10 11:16:33 EDT
Package python-genshi-0.7-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-genshi-0.7-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5318/python-genshi-0.7-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-04-25 21:03:17 EDT
python-genshi-0.7-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-04-26 23:06:25 EDT
python-genshi-0.7-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.